# Buildnumber Task

## Buildnumber

### Description

This is a basic task that can be used to track build numbers.

It will first attempt to read a build number from a file, then set the property "build.number" to the value that was read in (or 0 if no such value). Then it will increment the build number by one and write it back out into the file.

### Parameters

Attribute | Description | Required
file | the file to read and write build number from. | No, defaults to "build.number"

### Examples

      <buildnumber/>

Read, increment and write a build number to the default file "build.number".

      <buildnumber file="mybuild.number"/>

Read, increment and write a build number to the file "mybuild.number".

Copyright © 2002 Apache Software Foundation. All rights Reserved.